Loading...
Searching...
No Matches
novas_observer Struct Reference

Observer location. More...

`#include <novas.h>`

## Public Attributes

struct novas_in_space | near_earth
| data for an observer's location in orbit (if where = NOVAS_OBSERVER_IN_EARTH_ORBIT) As of v1.1 the same structure may be used to store heliocentric location and motion for any Solar-system observer also (if where = NOVAS_SOLAR_SYSTEM_OBSERVER).
struct novas_on_surface | on_surf
| structure containing data for an observer's location on the surface of the Earth (if where = NOVAS_OBSERVER_ON_EARTH)
enum novas_observer_place | where
| observer location type

## Detailed Description

Observer location.

See also
  make_itrf_observer(), make_gps_observer(), make_observer_at_site(), make_airborne_observer(), make_observer_at_geocenter(), make_observer_in_space(), make_solar_system_observer(), OBSERVER_INIT
  novas_make_frame()

## Member Data Documentation

## near_earth

struct novas_in_space novas_observer::near_earth

data for an observer's location in orbit (if where = NOVAS_OBSERVER_IN_EARTH_ORBIT) As of v1.1 the same structure may be used to store heliocentric location and motion for any Solar-system observer also (if where = NOVAS_SOLAR_SYSTEM_OBSERVER).

Referenced by make_observer(), and novas_equals_observer().

## on_surf

struct novas_on_surface novas_observer::on_surf

structure containing data for an observer's location on the surface of the Earth (if where = NOVAS_OBSERVER_ON_EARTH)

Referenced by supernovas::Source::horizontal_track(), make_observer(), and novas_equals_observer().

## where

enum novas_observer_place novas_observer::where

observer location type

Referenced by make_observer(), novas_equals_observer(), and novas_make_frame().